Skip to content
View in Postman (opens in new tab)

Export user profile by segment

post

/users/export/segment

Use this endpoint to export all the users within a segment.

User data is exported as multiple files of user JSON objects separated by new lines (such as one JSON object per line). Data is exported to an automatically generated URL or to an S3 bucket if this integration is already set up.

Note that a company may run at most one export per segment using this endpoint at a given time. Wait for your export to complete before trying again.

You can download the OpenAPI document and use it to validate schemas. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!